Google Web Toolkit (Beta)
Search this site:

# Class VerticalSplitPanel

public final class VerticalSplitPanel
extends SplitPanel
A panel that arranges two widgets in a single vertical column and allows the user to interactively change the proportion of the height dedicated to each of the two widgets. Widgets contained within a `VerticalSplitterPanel` will be automatically decorated with scrollbars when neccessary.

### CSS Style Rules

- .gwt-VerticalSplitPanel { the panel itself }
- .gwt-VerticalSplitPanel top { the top container }
- .gwt-VerticalSplitPanel bottom { the bottom container }
- .gwt-VerticalSplitPanel splitter { the splitter }

## Constructors

VerticalSplitPanel() | Creates an empty vertical split panel.

## Methods

getBottomWidget() | Gets the widget in the bottom of the panel.
getTopWidget() | Gets the widget in the top of the panel.
setBottomWidget(Widget) | Sets the widget in the bottom of the panel.
setSplitPosition(String) | Moves the position of the splitter.
setTopWidget(Widget) | Sets the widget in the top of the panel.

## Constructor Detail

### VerticalSplitPanel

public VerticalSplitPanel()
Creates an empty vertical split panel.

## Method Detail

### getBottomWidget

public final Widget getBottomWidget()
Gets the widget in the bottom of the panel.

#### Return Value

the widget, `null` if there is not one

### getTopWidget

public final Widget getTopWidget()
Gets the widget in the top of the panel.

#### Return Value

the widget, `null` if there is not one

### setBottomWidget

public final void setBottomWidget(Widget w)
Sets the widget in the bottom of the panel.

#### Parameters

w
  the widget

### setSplitPosition

public abstract void setSplitPosition(String size)
Moves the position of the splitter.

#### Parameters

size
  the new size of the left region in CSS units (e.g. "10px", "1em")

### setTopWidget

public final void setTopWidget(Widget w)
Sets the widget in the top of the panel.

#### Parameters

w
  the widget